Bug 813706 - [abrt] rhythmbox-2.90.1-17.git20110927.fc16: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
[abrt] rhythmbox-2.90.1-17.git20110927.fc16: Process /usr/bin/rhythmbox was k...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:8af031ac4564fe63e076b9337b5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 05:25 EDT by the.gredil
Modified: 2013-02-13 07:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 07:33:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (21.75 KB, text/plain)
2012-04-18 05:25 EDT, the.gredil
no flags Details
File: build_ids (8.33 KB, text/plain)
2012-04-18 05:25 EDT, the.gredil
no flags Details
File: backtrace (32.97 KB, text/plain)
2012-04-18 05:25 EDT, the.gredil
no flags Details
File: maps (91.30 KB, text/plain)
2012-04-18 05:25 EDT, the.gredil
no flags Details
File: backtrace (29.96 KB, text/plain)
2012-04-28 12:58 EDT, Filipe Sousa
no flags Details

  None (edit)
Description the.gredil 2012-04-18 05:25:09 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        rhythmbox
comment:        Just syncing my device.
crash_function: rb_ipod_static_playlist_source_get_itdb_playlist
executable:     /usr/bin/rhythmbox
kernel:         3.3.1-3.fc16.x86_64
pid:            3006
pwd:            /home/jadeba
reason:         Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
time:           Wed 18 Apr 2012 19:06:50 EST
uid:            1002
username:       jadeba

backtrace:      Text file, 33758 bytes
build_ids:      Text file, 8528 bytes
dso_list:       Text file, 22273 bytes
maps:           Text file, 93494 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=845ad3edbc8915545e488fda0000003e-1334739537.99008-2005230592
:GNOME_KEYRING_CONTROL=/tmp/keyring-ZkC8Fc
:IMSETTINGS_MODULE=none
:USER=xxxx
:USERNAME=xxxx
:MAIL=/var/spool/mail/xxxx
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/xxxx/.local/bin:/home/xxxx/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/xxxx
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=2192
:LANG=en_AU.utf8
:GDM_LANG=en_AU.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/xxxx
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=xxxx
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-ZRiIfrAIsu,guid=44ae280ca66e01a03f823eea00000058
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/xxxx
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-xxxx-TY6RgD/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2200,unix/unix:/tmp/.ICE-unix/2200
:SSH_AUTH_SOCK=/tmp/keyring-ZkC8Fc/ssh
:GPG_AGENT_INFO=/tmp/keyring-ZkC8Fc/gpg:0:1
:LC_TIME=en_AU.utf8
:LC_NUMERIC=en_AU.utf8
:LC_MONETARY=en_AU.utf8
:LC_MEASUREMENT=en_AU.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-2411--rhythmbox-2_TIME379322
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/rhythmbox.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=3006

smolt_data:
:
:
:General
:=================================
:UUID: 6896309b-6815-4be7-89ce-15d9b4aeee3d
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_AU.utf8
:Platform: x86_64
:BogoMIPS: 5587.42
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2640M CPU @ 2.80GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2801
:System Memory: 7903
:System Swap: 3999
:Vendor: Sony Corporation
:System: VPCZ227GG J004N646
:Form factor: Notebook
:Kernel: 3.3.1-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:5403:0:0) pci, pcieport, PCI/PCI, N/A
:(32902:5403:0:0) pci, pcieport, PCI/PCI, N/A
:(32902:5403:0:0) pci, pcieport, PCI/PCI, N/A
:(32902:5403:0:0) pci, pcieport, PCI/PCI, N/A
:(4098:43664:4173:36997) pci, snd_hda_intel, MULTIMEDIA, N/A
:(4098:26432:4173:36996) pci, None, VIDEO, Whistler XT [AMD Radeon HD 6700M Series]
:(32902:260:4173:36996) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:5403:0:0) pci, pcieport, PCI/PCI, N/A
:(32902:5403:0:0) pci, pcieport, PCI/PCI, N/A
:(4147:404:4173:36996) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:7202:4173:36996) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:10282:4173:36996) pci, ahci, RAID, Mobile 82801 SATA RAID Controller
:(32902:7243:4173:36996) pci, None, PCI/ISA, HM67 Express Chipset Family LPC Controller
:(32902:7188:4173:36996) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:145:32902:20993) pci, iwlwifi, NETWORK, Centrino Advanced-N 6230 AGN
:(32902:5403:0:0) pci, pcieport, PCI/PCI, N/A
:(32902:5403:0:0) pci, pcieport, PCI/PCI, N/A
:(32902:7213:4173:36996) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4173:36996) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:7226:4173:36996) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(4523:24865:4173:36997) pci, pata_marvell, STORAGE, 88SE6121 SATA II Controller
:(4332:21001:4173:36996) pci, None, MISC, N/A
:(32902:294:4173:36996) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4173:36996) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4173:36996) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4173:36996) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7196:4173:36996) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 7
:(32902:7200:4173:36996) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5403:0:0) pci, pcieport, PCI/PCI, N/A
:(32902:5403:0:0) pci, pcieport, PCI/PCI, N/A
:(4147:404:4173:36997) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(4332:33128:4173:36997) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:5403:0:0) pci, pcieport, PCI/PCI, N/A
:(32902:5403:0:0) pci, pcieport, PCI/PCI, N/A
:(4332:33128:4173:36996) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:5403:0:0) pci, pcieport, PCI/PCI, N/A
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_powers-lv_root / ext4 4096 4096 5103904 3070504 2814504 1281120 1035060 1035060
:/dev/md126p2 /boot ext4 1024 1024 508745 409000 383400 128016 127744 127744
:/dev/mapper/vg_powers-lv_data WITHHELD ext4 4096 4096 30676215 11096820 9560820 7684096 7649873 7649873
:/dev/mapper/vg_powers-lv_home /home ext4 4096 4096 10218049 9032507 8520507 2564096 2532848 2532848
:/dev/sdc1 WITHHELD vfat 4096 4096 1942155 1442600 1442600 0 0 0
:

var_log_messages:
:Apr 18 19:06:50 powers kernel: [  560.903751] rhythmbox[3006]: segfault at 8 ip 00007f1430f66875 sp 00007fff36939c78 error 4 in libipod.so[7f1430f5c000+13000]
:Apr 18 19:06:50 powers abrt[3293]: Saved core dump of pid 3006 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2012-04-18-19:06:50-3006 (105742336 bytes)

xsession_errors:
:(rhythmbox:3006): GLib-GObject-WARNING **: invalid unclassed pointer in cast to `RBIpodStaticPlaylistSource'
:(rhythmbox:3006): GLib-GObject-WARNING **: invalid unclassed pointer in cast to `RBPlaylistSource'
:(rhythmbox:3006): Rhythmbox-CRITICAL **: rb_playlist_source_get_query_model: assertion `RB_IS_PLAYLIST_SOURCE (source)' failed
:(rhythmbox:3006): GLib-GObject-CRITICAL **: g_type_instance_get_private: assertion `instance != NULL && instance->g_class != NULL' failed
:(rhythmbox:3441): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
:(rhythmbox:3441): GLib-GObject-WARNING **: invalid unclassed pointer in cast to `RBIpodStaticPlaylistSource'
:(rhythmbox:3441): GLib-GObject-WARNING **: invalid unclassed pointer in cast to `RBPlaylistSource'
:(rhythmbox:3441): Rhythmbox-CRITICAL **: rb_playlist_source_get_query_model: assertion `RB_IS_PLAYLIST_SOURCE (source)' failed
:(rhythmbox:3441): GLib-GObject-CRITICAL **: g_type_instance_get_private: assertion `instance != NULL && instance->g_class != NULL' failed
Comment 1 the.gredil 2012-04-18 05:25:15 EDT
Created attachment 578284 [details]
File: dso_list
Comment 2 the.gredil 2012-04-18 05:25:17 EDT
Created attachment 578285 [details]
File: build_ids
Comment 3 the.gredil 2012-04-18 05:25:20 EDT
Created attachment 578286 [details]
File: backtrace
Comment 4 the.gredil 2012-04-18 05:25:24 EDT
Created attachment 578287 [details]
File: maps
Comment 5 Filipe Sousa 2012-04-28 12:58:51 EDT
deleting a playlist from ipod nano

backtrace_rating: 4
Package: rhythmbox-2.90.1-17.git20110927.fc16
OS Release: Fedora release 16 (Verne)
Comment 6 Filipe Sousa 2012-04-28 12:58:59 EDT
Created attachment 580985 [details]
File: backtrace
Comment 7 mtrdraco 2012-09-09 13:36:10 EDT
Attempted sync with a rooted iPod Touch using libimobiledevice v 1.1.5 (devel) and usbmuxd v 1.0.8 (devel) (which shouldn't have any effect, but figured I'd list it.)  Sync failed about 3/4 through, unfortunately, I don't know what song, or I'd check to see if that was the problem.  

backtrace_rating: 4
Package: rhythmbox-2.90.1-17.git20110927.fc16
OS Release: Fedora release 16 (Verne)
Comment 8 Fedora End Of Life 2013-01-16 07:18:59 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2013-02-13 07:33:32 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.